org.deidentifier.arx.gui.view.impl.menu

## Class DialogHelpConfig

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.DialogHelpConfig

    public class DialogHelpConfig
    extends java.lang.Object

Configuration for the help dialog. Stores help topics and associated URLs

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `DialogHelpConfig.Entry` An entry in the help dialog.

### Constructor Summary

Constructors
Constructor and Description
`DialogHelpConfig()` Creates a new config.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DialogHelpConfig.Entry>` `getEntries()` Returns all entries.
`int` `getIndexForId(java.lang.String id)` Returns the index for a given ID.
`int` `getIndexForUrl(java.lang.String url)` Returns the index of a given URL.
`java.lang.String` `getUrlForIndex(int index)` Returns the URL for a given index.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DialogHelpConfig

    public DialogHelpConfig()

Creates a new config.

### Method Detail

#### getEntries

    public java.util.List<DialogHelpConfig.Entry> getEntries()

Returns all entries.

Returns:

#### getIndexForId

    public int getIndexForId(java.lang.String id)

Returns the index for a given ID.

Parameters:
  `id` -
Returns:

#### getIndexForUrl

    public int getIndexForUrl(java.lang.String url)

Returns the index of a given URL.

Parameters:
  `url` -
Returns:

#### getUrlForIndex

    public java.lang.String getUrlForIndex(int index)

Returns the URL for a given index.

Parameters:
  `index` -
Returns: